# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(English.pm) perl(Exporter.pm) perl(List/MoreUtils.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl-Critic-Bangs
Version:        1.10
Release:        alt1_2
Summary:        Collection of handy Perl::Critic policies
License:        Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Critic-Bangs/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/Perl-Critic-Bangs-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Perl/Critic.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Perl/Critic.pm)
# Tests only:
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(Perl/Critic/PolicyFactory.pm)
BuildRequires:  perl(Perl/Critic/PolicyParameter.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Perl/Critic/UserProfile.pm)
BuildRequires:  perl(Perl/Critic/Violation.pm)
BuildRequires:  perl(PPI/Cache.pm)
BuildRequires:  perl(PPI/Document.pm)
# Optional tests only:
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(Perl/Critic.pm) >= 1.098
Requires:       perl(Test/More.pm)
Requires:       perl(Test/Perl/Critic.pm) >= 1.01
Source44: import.info

%description
The rules included with the Perl::Critic::Bangs group include:
  - Commented-out code is usually noise.  It should be removed.
  - Watch for comments like "XXX", "TODO", etc.
  - Tests should have a plan.
  - Variables like $user and $user2 are insufficiently distinguished.
  - Determining the class in a constructor by using "ref($proto) || $proto".
  - Adding modifiers to a regular expression made up entirely of a variable
  created with qr() is usually not doing what you expect.
  - Vague variables like $data or $info are not descriptive enough.

%prep
%setup -q -n Perl-Critic-Bangs-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=perl
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes perlcriticrc README TODO
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_2
- update to new release by fcimport

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_6
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_4
- fc import

